Initial import of Opera 5.0 for i386; various input from jakob@

Opera is a fast and customizable WWW browser that claims W3C standards
compliance and a plethora of features.
This commit is contained in:
naddy 2001-05-16 14:44:26 +00:00
parent 8dbf449349
commit 82824bec78
9 changed files with 410 additions and 0 deletions

37
www/opera/Makefile Normal file
View File

@ -0,0 +1,37 @@
# $OpenBSD: Makefile,v 1.1.1.1 2001/05/16 14:44:26 naddy Exp $
COMMENT= "fast and customizable WWW browser"
ONLY_FOR_ARCHS= i386
PKGNAME= opera-5.0
DISTNAME= opera-5.0-static.i386
CATEGORIES= www
NEED_VERSION= 1.405
HOMEPAGE= http://www.opera.com/
MAINTAINER= Christian Weisgerber <naddy@openbsd.org>
PERMIT_PACKAGE_CDROM= "Commercial software"
PERMIT_PACKAGE_FTP= "Commercial software"
PERMIT_DISTFILES_CDROM= "Commercial software"
PERMIT_DISTFILES_FTP= "Commercial software"
MASTER_SITES= ftp://ftp.opera.com/pub/opera/linux/500/ \
http://opera.online.no/linux/tgz/500/ \
ftp://gd.tuwien.ac.at/infosys/browsers/opera/linux/500/ \
ftp://ftp.sunet.se/pub/www/clients/Opera/linux/500/ \
ftp://ftp.planetmirror.com/pub/opera/linux/500/
RUN_DEPENDS= /emul/linux/usr/lib/libpng.so.2:redhat_base->=6.2p1:emulators/redhat_base
do-build:
sed 's,@PREFIX@,${PREFIX},g' ${FILESDIR}/opera.sh >${WRKBUILD}/opera.sh
do-install:
cd ${WRKBUILD} && ./install.sh --prefix=${PREFIX}
mv ${PREFIX}/bin/opera ${PREFIX}/libexec/opera
${INSTALL_SCRIPT} ${WRKBUILD}/opera.sh ${PREFIX}/bin/opera
${INSTALL_DATA_DIR} ${PREFIX}/share/examples/opera
${INSTALL_DATA} ${FILESDIR}/operarc ${PREFIX}/share/examples/opera
.include <bsd.port.mk>

3
www/opera/files/md5 Normal file
View File

@ -0,0 +1,3 @@
MD5 (opera-5.0-static.i386.tar.gz) = 779bf93c11634107cce7cb51066e8b25
RMD160 (opera-5.0-static.i386.tar.gz) = da993b65a3538f5e517cf5d4f7449c33d2524ae5
SHA1 (opera-5.0-static.i386.tar.gz) = 992a14104e89c5c2683c47f4d18f395d5ae3ff6b

5
www/opera/files/opera.sh Normal file
View File

@ -0,0 +1,5 @@
#!/bin/sh
#
# $OpenBSD: opera.sh,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
OPERA_DIR=@PREFIX@/share/opera exec @PREFIX@/libexec/opera "$@"

4
www/opera/files/operarc Normal file
View File

@ -0,0 +1,4 @@
; $OpenBSD: operarc,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
;
[Performance]
Synchronous DNS Lookup=1

View File

@ -0,0 +1,18 @@
$OpenBSD: patch-install_sh,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
--- install.sh.orig Tue May 15 21:09:35 2001
+++ install.sh Tue May 15 21:10:28 2001
@@ -159,10 +159,10 @@ runinstall()
cp $v -fp opera.xpm opera.wmconfig opera.desktop opera_*.png $share_dir/
cp $v -fp opera.adr $share_dir/
- icons
- gnome
- kde2
- kde
+# icons
+# gnome
+# kde2
+# kde
# Uninstallation
# echo '' > $share_dir/uninstall.sh

51
www/opera/pkg/DEINSTALL Normal file
View File

@ -0,0 +1,51 @@
#!/bin/sh
# $OpenBSD: DEINSTALL,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
#
# De-installation setup of Opera
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=/etc/operarc # hardcoded to /etc
# Function: tell the user what they need to do to delete the port completely
#
do_notice()
{
echo
echo "+---------------"
echo "| To completely deinstall the $1 package you need to perform"
echo "| these steps as root:"
echo "|"
echo "| rm -f ${CONFIG_FILE}"
echo "|"
echo "| Do not do this if you plan on re-installing $1"
echo "| at some future time."
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname DEINSTALL" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
DEINSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
fi
;;
*)
echo "usage: $0 distname DEINSTALL" >&2
exit 1
;;
esac
exit 0

20
www/opera/pkg/DESCR Normal file
View File

@ -0,0 +1,20 @@
Opera is a fast and customizable WWW browser. Features:
- HTML 4.01
- XML
- CSS1 and CSS2
- HTTP 1.1
- 128-bit encryption, TLS 1.0, SSL 2 and 3
- ECMAScript, JavaScript 1.3
- partial DOM and WAP/WML
- fast rendering of pages
- instant toggling of image and documents settings
- extensive drag-and-drop features
- easy keyboard navigation and early implementation of Opera's
unique mouse gestures
- multiple windows support
- resume interrupted download sessions
- high quality zooming; Opera can zoom in on a page up to 1000%
- a powerful search capability with the added possibility of searching
the user's own Hotlist
WWW: ${HOMEPAGE}

68
www/opera/pkg/INSTALL Normal file
View File

@ -0,0 +1,68 @@
#!/bin/sh
# $OpenBSD: INSTALL,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
#
# Pre/post-installation setup of Opera
# exit on errors, use a sane path and install prefix
#
set -e
PATH=/bin:/usr/bin:/sbin:/usr/sbin
PREFIX=${PKG_PREFIX:-/usr/local}
CONFIG_FILE=/etc/operarc # hardcoded to /etc
SAMPLE_CONFIG_DIR=$PREFIX/share/examples/opera
# Function: tell the user what they need to do to use the port just installed
#
do_notice()
{
echo
echo "+---------------"
echo "| The existing $1 configuration file, ${CONFIG_FILE},"
echo "| has NOT been changed. You may want to compare it to the"
echo "| current sample files in ${SAMPLE_CONFIG_DIR}"
echo "| and update your configuration as needed."
echo "+---------------"
echo
}
# Function: install configuration files
#
do_install()
{
install -o root -g wheel ${SAMPLE_CONFIG_DIR}/operarc ${CONFIG_FILE}
echo
echo "+---------------"
echo "| The $1 configuration file, ${CONFIG_FILE},"
echo "| has been installed. Please view this file and change"
echo "| the configuration to meet your needs"
echo "+---------------"
echo
}
# Verify proper execution
#
if [ $# -ne 2 ]; then
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
fi
# Verify/process the command
#
case $2 in
PRE-INSTALL)
: nothing to pre-install for this port
;;
POST-INSTALL)
if [ -f ${CONFIG_FILE} ]; then
do_notice "$1"
else
do_install "$1"
fi
;;
*)
echo "usage: $0 distname { PRE-INSTALL | POST-INSTALL }" >&2
exit 1
;;
esac
exit 0

204
www/opera/pkg/PLIST Normal file
View File

@ -0,0 +1,204 @@
@comment $OpenBSD: PLIST,v 1.1.1.1 2001/05/16 14:44:27 naddy Exp $
bin/opera
doc/opera/LICENSE
libexec/opera
share/examples/opera/operarc
share/opera/buttons/DefSmall
share/opera/buttons/Default
share/opera/buttons/ReadMe.txt
share/opera/buttons/default/abc.gif
share/opera/buttons/default/buttons.ini
share/opera/buttons/default/cascade.gif
share/opera/buttons/default/compose.gif
share/opera/buttons/default/copy.gif
share/opera/buttons/default/delete.gif
share/opera/buttons/default/doccomp.gif
share/opera/buttons/default/docerr.gif
share/opera/buttons/default/dochtlst.gif
share/opera/buttons/default/docim.gif
share/opera/buttons/default/docload.gif
share/opera/buttons/default/docmail.gif
share/opera/buttons/default/docnews.gif
share/opera/buttons/default/docprog.gif
share/opera/buttons/default/docsrch.gif
share/opera/buttons/default/doctrsf.gif
share/opera/buttons/default/document.gif
share/opera/buttons/default/docunkn.gif
share/opera/buttons/default/docunrd.gif
share/opera/buttons/default/dropdown.gif
share/opera/buttons/default/figprog.gif
share/opera/buttons/default/finished.gif
share/opera/buttons/default/forward.gif
share/opera/buttons/default/fullscre.gif
share/opera/buttons/default/go.gif
share/opera/buttons/default/hisecu.gif
share/opera/buttons/default/home.gif
share/opera/buttons/default/hotlist.gif
share/opera/buttons/default/hotlstto.gif
share/opera/buttons/default/im.gif
share/opera/buttons/default/incl.gif
share/opera/buttons/default/keyb.gif
share/opera/buttons/default/load.gif
share/opera/buttons/default/loading.gif
share/opera/buttons/default/losecu.gif
share/opera/buttons/default/maxlist.gif
share/opera/buttons/default/maxmail.gif
share/opera/buttons/default/menu.gif
share/opera/buttons/default/mesecu.gif
share/opera/buttons/default/moveto.gif
share/opera/buttons/default/new.gif
share/opera/buttons/default/newbkmk.gif
share/opera/buttons/default/newcntct.gif
share/opera/buttons/default/newfldr.gif
share/opera/buttons/default/newscatc.gif
share/opera/buttons/default/newsfoll.gif
share/opera/buttons/default/newsfoll1.gif
share/opera/buttons/default/newsgrp.gif
share/opera/buttons/default/newsmrea.gif
share/opera/buttons/default/newsnext.gif
share/opera/buttons/default/newsover.gif
share/opera/buttons/default/newsprev.gif
share/opera/buttons/default/newssall.gif
share/opera/buttons/default/newsthr.gif
share/opera/buttons/default/newsunr.gif
share/opera/buttons/default/next.gif
share/opera/buttons/default/noimg.gif
share/opera/buttons/default/nosecu.gif
share/opera/buttons/default/open.gif
share/opera/buttons/default/previous.gif
share/opera/buttons/default/previous1.gif
share/opera/buttons/default/print.gif
share/opera/buttons/default/printact.gif
share/opera/buttons/default/printall.gif
share/opera/buttons/default/printscr.gif
share/opera/buttons/default/printvie.gif
share/opera/buttons/default/redirect.gif
share/opera/buttons/default/reload.gif
share/opera/buttons/default/reply.gif
share/opera/buttons/default/replyall.gif
share/opera/buttons/default/save.gif
share/opera/buttons/default/search.gif
share/opera/buttons/default/send.gif
share/opera/buttons/default/send1.gif
share/opera/buttons/default/sendqd.gif
share/opera/buttons/default/show.gif
share/opera/buttons/default/split.gif
share/opera/buttons/default/stop.gif
share/opera/buttons/default/stop1.gif
share/opera/buttons/default/tbsearch.gif
share/opera/buttons/default/tile.gif
share/opera/buttons/default/tilevert.gif
share/opera/buttons/default/update.gif
share/opera/buttons/default/url.gif
share/opera/buttons/default/usermode.gif
share/opera/buttons/default/websrch.gif
share/opera/buttons/defsmall/abc.gif
share/opera/buttons/defsmall/buttons.ini
share/opera/buttons/defsmall/cascade.gif
share/opera/buttons/defsmall/compose.gif
share/opera/buttons/defsmall/copy.gif
share/opera/buttons/defsmall/delete.gif
share/opera/buttons/defsmall/dropdown.gif
share/opera/buttons/defsmall/forward.gif
share/opera/buttons/defsmall/fullscre.gif
share/opera/buttons/defsmall/home.gif
share/opera/buttons/defsmall/hotlist.gif
share/opera/buttons/defsmall/hotlstto.gif
share/opera/buttons/defsmall/imsmall.gif
share/opera/buttons/defsmall/incl.gif
share/opera/buttons/defsmall/keyb.gif
share/opera/buttons/defsmall/maxlist.gif
share/opera/buttons/defsmall/maxmail.gif
share/opera/buttons/defsmall/menu.gif
share/opera/buttons/defsmall/moveto.gif
share/opera/buttons/defsmall/new.gif
share/opera/buttons/defsmall/newbkmk.gif
share/opera/buttons/defsmall/newcntct.gif
share/opera/buttons/defsmall/newfldr.gif
share/opera/buttons/defsmall/newscatc.gif
share/opera/buttons/defsmall/newsfoll.gif
share/opera/buttons/defsmall/newsgrp.gif
share/opera/buttons/defsmall/newsmrea.gif
share/opera/buttons/defsmall/newsnext.gif
share/opera/buttons/defsmall/newsover.gif
share/opera/buttons/defsmall/newsprev.gif
share/opera/buttons/defsmall/newssall.gif
share/opera/buttons/defsmall/newsthr.gif
share/opera/buttons/defsmall/newsunr.gif
share/opera/buttons/defsmall/next.gif
share/opera/buttons/defsmall/open.gif
share/opera/buttons/defsmall/previous.gif
share/opera/buttons/defsmall/print.gif
share/opera/buttons/defsmall/redirect.gif
share/opera/buttons/defsmall/reload.gif
share/opera/buttons/defsmall/reply.gif
share/opera/buttons/defsmall/replyall.gif
share/opera/buttons/defsmall/save.gif
share/opera/buttons/defsmall/search.gif
share/opera/buttons/defsmall/send.gif
share/opera/buttons/defsmall/sendqd.gif
share/opera/buttons/defsmall/split.gif
share/opera/buttons/defsmall/tile.gif
share/opera/buttons/defsmall/tilevert.gif
share/opera/buttons/defsmall/update.gif
share/opera/buttons/defsmall/url.gif
share/opera/buttons/examples/example_big.ini
share/opera/buttons/examples/example_small.ini
share/opera/buttons/examples/opera_22x22.png
share/opera/buttons/examples/opera_32x32.png
share/opera/help/access.htm
share/opera/help/alpha.htm
share/opera/help/bookmark.htm
share/opera/help/contact.htm
share/opera/help/dialogs.htm
share/opera/help/features.htm
share/opera/help/helphelp.htm
share/opera/help/index.htm
share/opera/help/keyboard.htm
share/opera/help/link_up.gif
share/opera/help/menus.htm
share/opera/help/opera5.css
share/opera/help/prefmenu.htm
share/opera/help/reg_form.txt
share/opera/help/security.htm
share/opera/help/starter.htm
share/opera/help/terms.htm
share/opera/help/trouble.htm
share/opera/images/background.gif
share/opera/images/blank.gif
share/opera/images/drive.gif
share/opera/images/file.gif
share/opera/images/folder.gif
share/opera/images/link.gif
share/opera/images/operabanner.png
share/opera/opera.adr
share/opera/opera.desktop
share/opera/opera.wmconfig
share/opera/opera.xpm
share/opera/opera_16x16.png
share/opera/opera_22x22.png
share/opera/opera_32x32.png
share/opera/opera_48x48.png
share/opera/styles/OPF.CSS
share/opera/styles/about.css
share/opera/styles/cache.css
share/opera/styles/csr.css
share/opera/styles/dir.css
share/opera/styles/drives.css
share/opera/styles/email.css
share/opera/styles/history.css
share/opera/styles/im.css
share/opera/styles/mime.css
share/opera/styles/mimehead.css
share/opera/styles/plugins.css
share/opera/styles/wml.css
@dirrm share/opera/styles
@dirrm share/opera/images
@dirrm share/opera/help
@dirrm share/opera/buttons/examples
@dirrm share/opera/buttons/defsmall
@dirrm share/opera/buttons/default
@dirrm share/opera/buttons
@dirrm share/opera
@dirrm share/examples/opera
@dirrm doc/opera